Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Latest v2.8.2 broken with Chrome on Windows XP #10764

Open
anampses opened this issue May 14, 2019 · 5 comments

Comments

Projects
None yet
5 participants
@anampses
Copy link

commented May 14, 2019

I have not tested it myself, but I have received reports from users on my instance that Mastodon will not display properly using Chrome browser on Windows XP. Before it is asked why they are still using XP, it is not really my place as admin to demand they use Firefox or a different OS instead.

There was previously no issue with Mastodon and using Chrome on XP prior to v2.8.2, and I really hope this bug can be addressed.

@Shleeble

This comment has been minimized.

Copy link
Contributor

commented May 14, 2019

lol

@mynameismonkey

This comment has been minimized.

Copy link

commented May 14, 2019

Chrome does not support Win XP. That's not a Mastodon thing, that's a Chrome thing. Even if it does manage to work, it is not secure. In your shoes I would counsel downloading an older version of Chrome (in this case version 49), or upgrading to an operating system that receives security updates. Security patches for XP ended in 2014.

@trwnh

This comment has been minimized.

Copy link
Contributor

commented May 14, 2019

@mynameismonkey actually chrome 49 is the latest version available for xp. the problem is that this version (and xp in general) are just way too old. switching to firefox won't help because the latest version is firefox 52. for comparison, the latest versions of chrome/firefox are 74 and 67.

with that said, if @anampses could identify the "prior to 2.8.2" version of mastodon that was running on their server, that would help in narrowing down which exact change uses unsupported css/js features.

@anampses

This comment has been minimized.

Copy link
Author

commented May 14, 2019

I should have been more specific about the reports I received, my apologies. The last version that seemingly worked fine with Chrome 49 on XP was v2.7.4

My two users still on XP tell me that using Firefox 52 does work, but Mastodon loads very slowly compared to when they had it working fine with Chrome before the upgrade in versions.

@no-boot-device

This comment has been minimized.

Copy link

commented May 15, 2019

Apparently chromium still supports XP, according to word of mouth. My suggested course of action is begging them to see reason, however.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.